ChangeSet 1.879.9.6, 2003/01/06 16:21:21-08:00, david-b@pacbell.net

[PATCH] 2.5.54 -- ohci-dbg.c: 358: In function `show_list': `data1'

OK here's the version that without the kernel version #ifdef
that helped the backport ... it fixes the build by restoring
the "debug support only if CONFIG_USB_DEBUG" semantics.


diff -Nru a/drivers/usb/host/ohci-dbg.c b/drivers/usb/host/ohci-dbg.c
--- a/drivers/usb/host/ohci-dbg.c	Wed Jan  8 12:01:48 2003
+++ b/drivers/usb/host/ohci-dbg.c	Wed Jan  8 12:01:48 2003
@@ -318,6 +318,8 @@
 	}
 }
 
+#define DRIVERFS_DEBUG_FILES 		/* only on 2.5 versions */
+
 #else
 static inline void ohci_dump (struct ohci_hcd *controller, int verbose) {}
 
@@ -325,6 +327,8 @@
 
 /*-------------------------------------------------------------------------*/
 
+#ifdef DRIVERFS_DEBUG_FILES
+
 static ssize_t
 show_list (struct ohci_hcd *ohci, char *buf, size_t count, struct ed *ed)
 {
@@ -521,6 +525,13 @@
 	device_remove_file (bus->hcd.controller, &dev_attr_async);
 	device_remove_file (bus->hcd.controller, &dev_attr_periodic);
 }
+
+#else /* empty stubs for creating those files */
+
+static inline void create_debug_files (struct ohci_hcd *bus) { }
+static inline void remove_debug_files (struct ohci_hcd *bus) { }
+
+#endif /* DRIVERFS_DEBUG_FILES */
 
 /*-------------------------------------------------------------------------*/
 
